Package org.opensaml.saml.saml2.metadata.impl

# Class AuthnAuthorityDescriptorImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xmlsec.signature.AbstractSignableXMLObject
org.opensaml.saml.common.AbstractSignableSAMLObject
org.opensaml.saml.saml2.metadata.impl.RoleDescriptorImpl
org.opensaml.saml.saml2.metadata.impl.AuthnAuthorityDescriptorImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `XMLObject`, `SAMLObject`, `SignableSAMLObject`, `CacheableSAMLObject`, `TimeBoundSAMLObject`, `AuthnAuthorityDescriptor`, `RoleDescriptor`, `SignableXMLObject`

public class AuthnAuthorityDescriptorImpl extends RoleDescriptorImpl implements AuthnAuthorityDescriptor
Concrete implementation of `AuthnAuthorityDescriptor`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<AssertionIDRequestService>`
`assertionIDRequestServices`
AuthnQueryService endpoints.
`private final XMLObjectChildrenList<AuthnQueryService>`
`authnQueryServices`
AuthnQueryService endpoints.
`private final XMLObjectChildrenList<NameIDFormat>`
`nameIDFormats`
NameID formats supported by this descriptor.

### Fields inherited from interface org.opensaml.saml.saml2.metadata.AuthnAuthorityDescriptor

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`CACHE_DURATION_ATTRIB_NAME, CACHE_DURATION_ATTRIB_QNAME`

### Fields inherited from interface org.opensaml.saml.saml2.metadata.RoleDescriptor

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, ERROR_URL_ATTRIB_NAME, ID_ATTRIB_NAME, PROTOCOL_ENUMERATION_ATTRIB_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

### Fields inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`VALID_UNTIL_ATTRIB_NAME, VALID_UNTIL_ATTRIB_QNAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AuthnAuthorityDescriptorImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor .

## Method Summary

Modifier and Type
Method
Description
`List<AssertionIDRequestService>`
`getAssertionIDRequestServices()`
Gets the list of assertion ID request services for this authority.
`List<AuthnQueryService>`
`getAuthnQueryServices()`
Gets the list of authentication query services for this authority.
`List<Endpoint>`
`getEndpoints()`
Gets immutable list of endpoints for this role.
`List<Endpoint>`
`getEndpoints(QName type)`
Gets a read-only list of endpoints for this role for the given type.
`List<NameIDFormat>`
`getNameIDFormats()`
Gets the list of supported name ID formats for this authority.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

### Methods inherited from class org.opensaml.saml.saml2.metadata.impl.RoleDescriptorImpl

`addSupportedProtocol, getCacheDuration, getContactPersons, getErrorURL, getExtensions, getID, getKeyDescriptors, getOrganization, getSignatureReferenceID, getSupportedProtocols, getUnknownAttributes, getValidUntil, isSupportedProtocol, isValid, removeAllSupportedProtocols, removeSupportedProtocol, removeSupportedProtocols, setCacheDuration, setErrorURL, setExtensions, setID, setOrganization, setValidUntil`

### Methods inherited from class org.opensaml.saml.common.AbstractSignableSAMLObject

`equals, hashCode, setSignature`

### Methods inherited from class org.opensaml.xmlsec.signature.AbstractSignableXMLObject

`getSignature, isSigned`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.saml.saml2.common.CacheableSAMLObject

`getCacheDuration, setCacheDuration`

### Methods inherited from interface org.opensaml.saml.saml2.metadata.RoleDescriptor

`addSupportedProtocol, getContactPersons, getErrorURL, getExtensions, getID, getKeyDescriptors, getOrganization, getSupportedProtocols, isSupportedProtocol, removeAllSupportedProtocols, removeSupportedProtocol, removeSupportedProtocols, setErrorURL, setExtensions, setID, setOrganization`

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.saml.saml2.common.TimeBoundSAMLObject

`getValidUntil, isValid, setValidUntil`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### authnQueryServices

@Nonnull private final XMLObjectChildrenList<AuthnQueryService> authnQueryServices
AuthnQueryService endpoints.

### assertionIDRequestServices

@Nonnull private final XMLObjectChildrenList<AssertionIDRequestService> assertionIDRequestServices
AuthnQueryService endpoints.

### nameIDFormats

@Nonnull private final XMLObjectChildrenList<NameIDFormat> nameIDFormats
NameID formats supported by this descriptor.

## Constructor Details

### AuthnAuthorityDescriptorImpl

protected AuthnAuthorityDescriptorImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor .

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAuthnQueryServices

@Nonnull @Live public List<AuthnQueryService> getAuthnQueryServices()
Gets the list of authentication query services for this authority.

Specified by:
  `getAuthnQueryServices` in interface `AuthnAuthorityDescriptor`
Returns:
  list of authentication query services

### getAssertionIDRequestServices

@Nonnull @Live public List<AssertionIDRequestService> getAssertionIDRequestServices()
Gets the list of assertion ID request services for this authority.

Specified by:
  `getAssertionIDRequestServices` in interface `AuthnAuthorityDescriptor`
Returns:
  assertion ID request services for this authority

### getNameIDFormats

@Nonnull @Live public List<NameIDFormat> getNameIDFormats()
Gets the list of supported name ID formats for this authority.

Specified by:
  `getNameIDFormats` in interface `AuthnAuthorityDescriptor`
Returns:
  supported name ID formats for this authority

### getEndpoints

@Nonnull @NotLive @Unmodifiable public List<Endpoint> getEndpoints()
Gets immutable list of endpoints for this role.

Specified by:
  `getEndpoints` in interface `RoleDescriptor`
Returns:
  immutable list of endpoints for this role

### getEndpoints

@Nonnull @NotLive @Unmodifiable public List<Endpoint> getEndpoints(@Nonnull QName type)
Gets a read-only list of endpoints for this role for the given type.

Specified by:
  `getEndpoints` in interface `RoleDescriptor`
Parameters:
  `type` - the type of endpoints to retrieve
Returns:
  immutable list of endpoints for this role

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Overrides:
  `getOrderedChildren` in class `RoleDescriptorImpl`
Returns:
  ordered list of child elements